+++
title = "Documentation"
+++

# API documentation

You can find the latest API documentation [here](../rustdocs/linfa/).

# Examples

A good way to start is by looking at code examples. You can find them in the *examples/* folder of each sub-crate. For instance, Support Vector Machines have their examples [here](https://github.com/rust-ml/linfa/tree/master/algorithms/linfa-svm/examples).

# How do contribute

If you want to know how to integrate something into Linfa, take a look at the [Contribute.md](https://github.com/rust-ml/linfa/blob/master/CONTRIBUTE.md). It covers topics on the type system implementation, how to use datasets, add parameters to your algorithm, etc.

# Understanding the theory

A good book for someone with knowledge of undergraduate information/probability theory and linear algebra is the *Elements of Statistical Learning* by Friedman, Tibshirani and Hastie. You can find the free version [here](https://web.stanford.edu/~hastie/ElemStatLearn/).
